% Apply geometry transformation to the nodes to produce a helix. It is
% assumed that in the X-direction the coordinate represents angle, and the
% Y and Z coordinates represent the cross-section.
% The function handle is of type
%    function xyz=fun(xyz, function_data)
function fens = transform_apply(fens,function_handle, function_data)
    for m=1:length(fens)
        fens(m) = set(fens(m),'xyz', function_handle (get(fens(m),'xyz'), function_data));
    end
end
